# GET Livescores

{% hint style="danger" %}
**This version of the API is deprecated. Please visit the** [**docs**](https://app.gitbook.com/o/-MJWE53IpT91aRTPjruo/s/FnlmCoPQl0hTWxA9V938/) **of our brand new Motorsport API v3**&#x20;
{% endhint %}

### `GET` Livescores

```
https://f1.sportmonks.com/api/v1.0/livescores/now
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |

#### Include options

`track` `stages`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://f1.sportmonks.com/api/v1.0/livescores/now?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```
{
    "data": [
        {
            "id": 115336564,
            "name": "Race",
            "track_id": 3,
            "season_id": 7,
            "length": null,
            "city": "Losail",
            "distance": 307.6,
            "total_laps": 57,
            "laps_running": 6,
            "fastest_lap": null,
            "time": {
                "status": "Live",
                "starting_at": {
                    "date_time": "2022-03-20 15:00:00",
                    "date": "2022-03-20",
                    "time": "15:00:00",
                    "timestamp": 1647788400,
                    "timezone": "UTC"
                }
            },
            "results": {
                "data": [
                    {
                        "driver_id": 232402,
                        "team_id": 15,
                        "track_id": 3,
                        "season_id": 7,
                        "stage_id": 115336564,
                        "position": 2,
                        "driver_time": "1:40.816",
                        "driver_time_int": "2.104s",
                        "best_lap_time": "1:40.816",
                        "laps": 6,
                        "grid": "1",
                        "pit": "0",
                        "retired": false,
                        "fasted_lap_time": null,
                        "fasted_lap": null,
                        "driver": {
                            "data": {
                                "id": 232402,
                                "team_id": 15,
                                "name": "Max Verstappen (NED)",
                                "short_name": "VER",
                                "number": 33,
                                
                            }
                        }
                    },
                    {
                        "driver_id": 232394,
                        "team_id": 13,
                        "track_id": 3,
                        "season_id": 7,
                        "stage_id": 115336564,
                        "position": 4,
                        "driver_time": "1:45.418",
                        "driver_time_int": "6.706s",
                        "best_lap_time": "1:45.418",
                        "laps": 6,
                        "grid": "2",
                        "pit": "0",
                        "retired": false,
                        "fasted_lap_time": null,
                        "fasted_lap": null,
                        "driver": {
                            "data": {
                                "id": 232394,
                                "team_id": 13,
                                "name": "Lewis Hamilton (ENG)",
                                "short_name": "HAM",
                                "number": 44,
                               

```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://formulaone-postman.sportmonks.com/#62daab7a-8f19-422c-998d-77ae6f5492bb)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/formula-one-api/our-api/livescores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
